<?php
declare(strict_types=1);

namespace App\Entity\QRCode;

use App\Validator\BankPaymentIdentificationNumber;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Payment identification for QR code
 */
class QRCodePaymentIdentification {
    #[BankPaymentIdentificationNumber(
        message: 'messages.not_variable_symbol',
    )]
    private ?string $variableSymbol = null;

    #[BankPaymentIdentificationNumber(
        message: 'messages.not_specific_symbol',
    )]
    private ?string $specificSymbol = null;

    #[BankPaymentIdentificationNumber(
        message: 'messages.not_constant_symbol',
    )]  // https://www.hyponamiru.cz/en/glossary/constant-symbol/
    private ?string $constantSymbol = null;

    public function getVariableSymbol(): ?string
    {
        return $this->variableSymbol;
    }

    public function setVariableSymbol(?string $variableSymbol): void
    {
        $this->variableSymbol = $variableSymbol;
    }

    public function getSpecificSymbol(): ?string
    {
        return $this->specificSymbol;
    }

    public function setSpecificSymbol(?string $specificSymbol): void
    {
        $this->specificSymbol = $specificSymbol;
    }

    public function getConstantSymbol(): ?string
    {
        return $this->constantSymbol;
    }

    public function setConstantSymbol(?string $constantSymbol): void
    {
        $this->constantSymbol = $constantSymbol;
    }


}
