<?php
declare(strict_types=1);

namespace App\Form\Type;

use App\Entity\QRCode\QRCodePaymentIdentification;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class QRCodePaymentIdentificationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('variableSymbol', IntegerType::class, ['required' => false])
            ->add('specificSymbol', IntegerType::class, ['required' => false])
            ->add('constantSymbol', IntegerType::class, ['required' => false]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => QRCodePaymentIdentification::class,
        ]);
    }
}
