<?php
declare(strict_types=1);

namespace App\Service;

/**
 * Represents currency lister loaded from configuration
 */
readonly final class StaticCurrencyLister implements CurrencyListerInterface {
    /**
     * @param String[] $available_currencies
     */
    public function __construct(private array $available_currencies) {
    }

    public function getCurrencies(): iterable
    {
        return $this->available_currencies;
    }
}
